#include<bits/stdc++.h>

using namespace std;

int n;
vector<int> kolone;
vector<int> redovi;
long long res;

int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n;
    kolone.resize(n);
    redovi.resize(n);
    for(int i=0;i<n;i++)
        cin >> kolone[i] >> redovi[i];
    sort(kolone.begin(),kolone.end());
    sort(redovi.begin(),redovi.end());
    for(int i=0;i<n;i++)
        res+=abs(kolone[i]-i-1)+abs(redovi[i]-i-1);
    cout << res << endl;
}